#ifndef EXPLOSIONMANUFACTURER_H
#define EXPLOSIONMANUFACTURER_H

#include "manufacturer.h"
#include "explosion.h"

class CExplosionManufacturer : public IManufacturer
{
public:
    CExplosionManufacturer() {}
    virtual ~CExplosionManufacturer() {}

    IEntity* Create() {return new CEnemy();}
    //IEntity* Create( CSprite* sprite ) {CEnemy* temp = new CEnemy(); temp->Init(sprite); return temp;}
};

#endif // EXPLOSIONMANUFACTURER_H
